#!/bin/sh
# Script de Julien VARELA
# Release v1.0 03/02/2015
#Extension des Datastores


# Rcupration du naa pour le datastore souhait
parted=$(vmkfstools -P /vmfs/volumes/$1 | grep "naa." | sed 's/..$//')
naa=$(echo $parted  | sed 's/ //g')

#Rcupration du dernier secteur disponible
endsecavailable=$(partedUtil getUsableSectors /vmfs/devices/disks/$naa | awk '{print $2}')

#Rcupration du dernier secteur actif
endsecactive=$(partedUtil get /vmfs/devices/disks/$naa | sed '1d' |awk '{print $3}')

#Rcupration du numro de la partition
numpartition=$(partedUtil get /vmfs/devices/disks/$naa | sed '1d' |awk '{print $1}')

#Rcupration du premier secteur
firstsector=$(partedUtil get /vmfs/devices/disks/$naa | sed '1d' |awk '{print $2}')
echo "Nom du datastore a traiter : " $1
echo "Identifiant du lun : " $naa
echo "Premier secteur : " $firstsector
echo "Dernier secteur en place : " $endsecactive
echo "Dernier secteur disponible : "$endsecavailable #| awk '{print $2}'
echo "Numero de la partion : " $numpartition


if [ $endsecactive = $endsecavailable ]
then
        echo "Le datastore est deja etendu"
        else
        echo "Resize de la partition"
        partedUtil resize /vmfs/devices/disks/$naa $numpartition $firstsector $endsecavailable
        
        echo "Rescan"
        vmkfstools -V
        echo "Execution commande growfs"
        vmkfstools --growfs /vmfs/devices/disks/$naa:$numpartition /vmfs/devices/disks/$naa:$numpartition
        echo "Rescan"
        vmkfstools -V
        echo "Fin de l'extension du datastore : " $1
        fi
        
